cancel
Showing results for 
Search instead for 
Did you mean: 

Adapter Development on PI

Former Member
0 Kudos

Hi experts,

I am starting to learn how to develop my own adapter on PI. I´ve read some SAP documentation/notes and I´ve found this: "The development of adapters or modules is only released in the PCK" at SAP Note 766332. Since I´ve found all the necessary jars to develop my adapter on my PI installation, what does it mean "only released in the PCK"?

Thanks and best regards,

Gabriela Vasselai

View Entire Topic
Former Member
0 Kudos

Gabriela,

to develop my adapter on my PI installation, what does it mean "only released in the PCK"?

As an adapter development prerequisite software for PI 7.1 / PI 7.1 EhP1, you need to have PCK 7.1 / PCK 7.1 EhP 1. You will also require NWDS 7.1 SP3 or higher as well as J2EE engine running on JRE 1.5.0_06.

Hope this helps.

Regards,

Neetesh

Former Member
0 Kudos

Thanks for your response Neetesh,

So, I need PCK only to deploy and test my adapter, once it is finished I can deploy it at PI. Am I right?

Another question. I got the samples and dependency jars on my PI 7.1 and at NWDS it does not compile only on one line:

mcfLocalGuid = new com.sap.guid.GUID();

I couldn´t find the GUID class and neither the library extcom.sap.guidsap.comtcblguidgeneratorimpl.jar at my PI 7.1 instalation path (folder extcom.sap.guid is empty). That´s the only jar that I couldn´t find. Have you ever been in such situation?

Thank you and best regards,

Gabriela Vasselai

Former Member
0 Kudos

Hello Gabriela,

So, I need PCK only to deploy and test my adapter, once it is finished I can deploy it at PI. Am I right?

Yes.

I couldn´t find the GUID class and neither the library extcom.sap.guidsap.comtcblguidgeneratorimpl.jar at my PI 7.1 instalation path (folder extcom.sap.guid is empty). That´s the only jar that I couldn´t find.

Try downloading from Service Marketplace -

1. Enter service.sap.com/patches.

2. Click on the left side on: Entry by Application Group

3. Navigate: Support Packages and Patches -> SAP NetWeaver -> SAP NETWEAVER -> SAP NETWEAVER 7.0/SAP NETWEAVER PI 7.1 -> Entry by Component -> J2EE Adapter Engine (PI/XI)/Adapter Engine (Java EE)

4. Expand XI ADAPTER FRAMEWORK CORE 7.00/7.10 -> #OS independent and download the SP level, that fits your PI installation

5. Extract the downloaded .sca file recursively, until you get the .jar files.

Have you ever been in such situation?

No

Best of luck. Let us know how it goes.

Regards,

Neetesh

Former Member
0 Kudos

Thank you for your help Neetesh.

I have noticed that the JARs that I need to develop my own adapter are on NWDS at Software Component SAPXI_AF. I don´t need to download anything from Marketplace, just to put a dependency between my SC and SAPXI_AF.

I am sorry for my ignorance in development subject.

Thank you and best regards,

Gabriela